![OhMyForm](public/logo.png)

# OhMyForm

![Project Status](https://badgen.net/github/checks/ohmyform/ohmyform)
![Latest Release](https://badgen.net/github/tag/ohmyform/ohmyform)
[![Docker Pulls](https://badgen.net/docker/pulls/ohmyform/ohmyform)](https://hub.docker.com/r/ohmyform/ohmyform)
[![Lokalise](https://badgen.net/badge/Lokalise/EN/green?icon=libraries)](https://app.lokalise.com/public/379418475ede5d5c6937b0.31012044/)
![Last Commit](https://badgen.net/github/last-commit/ohmyform/ohmyform)

[![Deploy](https://www.herokucdn.com/deploy/button.svg)](https://heroku.com/deploy?template=https://github.com/ohmyform/ohmyform/tree/master)

[Demo](https://omf-demo.herokuapp.com/)

> An *open source alternative to TypeForm* that can create stunning mobile-ready forms, surveys and questionnaires.

[![Discord](https://img.shields.io/discord/595773457862492190.svg?label=Discord%20Chat)](https://discord.gg/MJqAuAZ)
[![Financial Contributors on Open Collective](https://opencollective.com/ohmyform-sustainability/all/badge.svg?label=financial+contributors)](https://opencollective.com/ohmyform-sustainability)

## Table of Contents  

<!-- TOC depthFrom:1 depthTo:6 withLinks:1 updateOnSave:1 orderedList:0 -->

- [OhMyForm](#ohmyform-091)
	- [Table of Contents](#table-of-contents)
	- [Features](#features)
		- [On the Roadmap](#on-the-roadmap)
	- [How to Contribute](#how-to-contribute)
	- [Quickstart](#quickstart)
	- [Where to get help](#where-to-get-help)

<!-- /TOC -->

## Features

	- Multi-Language Support
	- 11 possible question types
	- Editable start and end pages
	- Export Submissions to XLS, JSON or CSV
	- Native Analytics and Google Analytics Support
	- Embeddable Forms
	- Forms as a Service API
    - Customizable Notifications on Form Submission
	- Web Hooks on Form Submission
	- Deployable with Heroku and DockerHub
    - PostgreSQL and sqlite

<!-- TODO: Determine roadmap for OhMyForm if it is to be different from OhMyForm's roadmap. -->
<!-- ### On the Roadmap (Tentative pending [refactor](https://github.com/ohmyform/ohmyform/pull/1)) -->

### On the Roadmap
	- Custom Subdomains for each User
	- Implement encryption for all form data
	- Add Typeform API integration
	- Add plugin/3rd party integration support (ala Slack)
	- Create wiki for easy installation and setup
	- Add Stripe/Payment Form field
	- Add Custom Background and Dropdown Field Images
	- Add File Upload Form Field



<!-- TODO: add a CONTRIBUTING.md. -->
## How to Contribute

Please checkout our [contributing guide](CONTRIBUTING.md) on ways to contribute to OhMyForm.

## Quickstart

Follow documentation hosted on [OhMyForm.com](http://ohmyform.com/docs/install/) it will be the main and hopefully only location to obtain the up to date documentation.

if you pull the repository do not forget to execute: `git submodule update --init`

### Some technical Insights

[API](https://github.com/ohmyform/api/tree/master/doc)

[UI](https://github.com/ohmyform/ui/tree/master/doc)

## Where to get help

[![Discord](https://img.shields.io/discord/595773457862492190.svg?label=Discord%20Chat)](https://discord.gg/Y2TTePM)

## Alternative Social
[Twitter](https://twitter.com/OhMyForm)
[Instagram](https://www.instagram.com/ohmyform/)

## Contributors

### Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
[![Contributors](https://opencollective.com/ohmyform-sustainability/contributors.svg?width=890&button=false)](https://github.com/ohmyform/ohmyform/graphs/contributors)

### Financial Contributors

Become a financial contributor and help us sustain our community. [[Contribute](https://opencollective.com/ohmyform-sustainability/contribute)]

#### Individuals

[![Individuals](https://opencollective.com/static/images/opencollective-og-default.png)](https://opencollective.com/ohmyform-sustainability)

#### Organizations

Support this project with your organization. Your logo will show up here with a link to your website. [[Contribute](https://opencollective.com/ohmyform-sustainability/contribute)]

[![](https://opencollective.com/ohmyform-sustainability/organization/0/avatar.svg)](https://opencollective.com/ohmyform-sustainability/organization/0/website)
[![](https://opencollective.com/ohmyform-sustainability/organization/1/avatar.svg)](https://opencollective.com/ohmyform-sustainability/organization/1/website)
[![](https://opencollective.com/ohmyform-sustainability/organization/2/avatar.svg)](https://opencollective.com/ohmyform-sustainability/organization/2/website)
[![](https://opencollective.com/ohmyform-sustainability/organization/3/avatar.svg)](https://opencollective.com/ohmyform-sustainability/organization/2/website)
[![](https://opencollective.com/ohmyform-sustainability/organization/4/avatar.svg)](https://opencollective.com/ohmyform-sustainability/organization/2/website)
[![](https://opencollective.com/ohmyform-sustainability/organization/5/avatar.svg)](https://opencollective.com/ohmyform-sustainability/organization/2/website)

